# Uses of Interface
java.security.cert.CertSelector

Packages that use CertSelector
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertSelector in java.security.cert

Classes in java.security.cert that implement CertSelector
Modifier and Type
Class
Description
`class`
`X509CertSelector`
A `CertSelector` that selects `X509Certificates` that match all specified criteria.
Methods in java.security.cert that return CertSelector
Modifier and Type
Method
Description
`CertSelector`
PKIXParameters.`getTargetCertConstraints()`
Returns the required constraints on the target certificate.
Methods in java.security.cert with parameters of type CertSelector
Modifier and Type
Method
Description
`abstract Collection<? extends Certificate>`
CertStoreSpi.`engineGetCertificates(CertSelector selector)`
Returns a `Collection` of `Certificate`s that match the specified selector.
`final Collection<? extends Certificate>`
CertStore.`getCertificates(CertSelector selector)`
Returns a `Collection` of `Certificate`s that match the specified selector.
`void`
PKIXParameters.`setTargetCertConstraints(CertSelector selector)`
Sets the required constraints on the target certificate.
Constructors in java.security.cert with parameters of type CertSelector
Modifier
Constructor
Description
``
`PKIXBuilderParameters(KeyStore keystore, CertSelector targetConstraints)`
Creates an instance of `PKIXBuilderParameters` that populates the set of most-trusted CAs from the trusted certificate entries contained in the specified `KeyStore`.
``
`PKIXBuilderParameters(Set<TrustAnchor> trustAnchors, CertSelector targetConstraints)`
Creates an instance of `PKIXBuilderParameters` with the specified `Set` of most-trusted CAs.